Package com.gpudb.protocol
Class CreateDatasourceRequest.Options
java.lang.Object
com.gpudb.protocol.CreateDatasourceRequest.Options
Enclosing class:
A set of string constants for the
CreateDatasourceRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringUse anonymous connection to storage provider—DEPRECATED: this is now the default.static final StringName of the Azure storage container to use as the data source.static final StringOAuth token to access given storage container.static final StringShared access signature token for Azure storage account to use as the data source.static final StringName of the Azure storage account to use as the data source, this is valid only if tenant_id is specified.static final StringActive Directory tenant ID (or directory ID).static final StringWhether to use virtual addressing when referencing the Azure source.static final StringTimeout in seconds for connecting to this storage provider.static final StringName of the credential object to be used in data source.static final Stringstatic final StringName of the Google Cloud Storage bucket to use as the data source.static final StringName of the Google Cloud project to use as the data source.static final StringGoogle Cloud service account keys to use for authenticating the data source.static final StringDelegation token for the given HDFS user.static final StringKerberos keytab file location for the given HDFS user.static final StringUse kerberos authentication for the given HDFS cluster.static final StringTo load from Azure/GCS/S3 as a stream continuously.static final StringName of the JDBC driver class.static final StringJDBC driver jar file location.static final StringName of the Kafka topic to use as the data source.static final StringAmazon IAM Role ARN which has required S3 permissions that can be assumed for the given S3 IAM user.static final StringName of the Amazon S3 bucket to use as the data source.static final StringCustomer encryption algorithm used encrypting data.static final StringCustomer encryption key to encrypt or decrypt data.static final StringName of the Amazon S3 region where the given bucket is located.static final StringWhether to use virtual addressing when referencing the Amazon S3 source.static final StringWhether to verify SSL connections.static final StringConfluent Schema registry connection timeout (in secs).static final StringConfluent Schema registry connection timeout (in secs).static final StringConfluent Schema Registry credential object name.static final StringLocation of Confluent Schema Registry in ‘[storage_path[:storage_port]]’ format.static final StringConfluent Schema Registry port (optional).static final StringBypass validation of connection to remote source.static final Stringstatic final StringUse HTTPS to connect to datasource if true, otherwise use HTTP.static final StringWhen no credentials are supplied, we use anonymous access by default.static final StringTimeout in seconds for reading from this storage provider.
Field Details
S3_USE_VIRTUAL_ADDRESSING
Whether to use virtual addressing when referencing the Amazon S3 source. Supported values:TRUE: The requests URI should be specified in virtual-hosted-style format where the bucket name is part of the domain name in the URL.FALSE: Use path-style URI for requests.
TRUE.See Also:AZURE_USE_VIRTUAL_ADDRESSING
Whether to use virtual addressing when referencing the Azure source. Supported values:TRUE: The requests URI should be specified in virtual-hosted-style format where the bucket name is part of the domain name in the URL.FALSE: Use path-style URI for requests.
TRUE.See Also: